parameters:
    webkul_prestashop_connector.writer.webservice.prestashop_category.class:         Webkul\PrestashopConnectorBundle\Connector\Writer\CategoryWriter
    webkul_prestashop_connector.writer.webservice.prestashop_attribute.class:        Webkul\PrestashopConnectorBundle\Connector\Writer\AttributeWriter
    webkul_prestashop_connector.writer.webservice.prestashop_attribute_option.class: Webkul\PrestashopConnectorBundle\Connector\Writer\AttributeOptionWriter
    webkul_prestashop_connector.writer.webservice.prestashop_product_model.class:    Webkul\PrestashopConnectorBundle\Connector\Writer\ProductModelWriter
    webkul_prestashop_connector.writer.webservice.prestashop_product.class:          Webkul\PrestashopConnectorBundle\Connector\Writer\ProductWriter

services:
    # Category writer
    webkul_prestashop_connector.writer.webservice.prestashop_category:
        class: '%webkul_prestashop_connector.writer.webservice.prestashop_category.class%'
        arguments:
            - '@doctrine.orm.entity_manager'
            - '@webkul_prestashop_connector.configuration.service'
            - '@webkul_prestashop_connector.repository.credentials'

    # Attribute writer
    webkul_prestashop_connector.writer.webservice.prestashop_attribute:
        class: '%webkul_prestashop_connector.writer.webservice.prestashop_attribute.class%'
        arguments:
            - '@doctrine.orm.entity_manager'
            - '@webkul_prestashop_connector.configuration.service'
            - '@webkul_prestashop_connector.repository.credentials'

    # Attribute Option writer
    webkul_prestashop_connector.writer.webservice.prestashop_attribute_option:
        class: '%webkul_prestashop_connector.writer.webservice.prestashop_attribute_option.class%'
        arguments:
            - '@doctrine.orm.entity_manager'
            - '@webkul_prestashop_connector.configuration.service'
            - '@webkul_prestashop_connector.repository.credentials'

    # Product model writer
    webkul_prestashop_connector.writer.webservice.prestashop_product_model:
        class: '%webkul_prestashop_connector.writer.webservice.prestashop_product_model.class%'
        arguments:
            - '@doctrine.orm.entity_manager'
            - '@webkul_prestashop_connector.configuration.service'
            - '@webkul_prestashop_connector.repository.credentials'
            - '@?webkul_dam.repository.asset'

    # Product writer
    webkul_prestashop_connector.writer.webservice.prestashop_product:
        class: '%webkul_prestashop_connector.writer.webservice.prestashop_product.class%'
        arguments:
            - '@doctrine.orm.entity_manager'
            - '@webkul_prestashop_connector.configuration.service'
            - '@webkul_prestashop_connector.repository.credentials'
            - '@?webkul_dam.repository.asset'
    